# Enable building without docs to avoid a circular dependency between this
# and python-sphinx:
%global with_docs 1

Name:           python3-jinja2
Version:        2.8
Release:        2.0.1%{?dist}
Summary:        General purpose template engine
License:        BSD
URL:            http://jinja.pocoo.org/
Source0:        https://github.com/pallets/jinja/archive/%{version}/jinja-%{version}.tar.gz

BuildArch:      noarch
%if 0%{?with_docs}
BuildRequires:  python-sphinx
%endif # with_docs
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-markupsafe
BuildRequires:  python%{python3_pkgversion}-pytest


%description
Jinja2 is a template engine written in pure Python.  It provides a
Django inspired non-XML syntax but supports inline expressions and an
optional sandboxed environment.

If you have any exposure to other text-based template languages, such
as Smarty or Django, you should feel right at home with Jinja2. It's
both designer and developer friendly by sticking to Python's
principles and adding functionality useful for templating
environments.


%package -n python%{python3_pkgversion}-jinja2
Summary:        General purpose template engine
Requires:       python%{python3_pkgversion}-markupsafe
Requires:       python%{python3_pkgversion}-setuptools
# babel isn't py3k ready yet, and is only a weak dependency
#Requires:       python%{python3_pkgversion}-babel >= 0.8


%description -n python%{python3_pkgversion}-jinja2
Jinja2 is a template engine written in pure Python.  It provides a
Django inspired non-XML syntax but supports inline expressions and an
optional sandboxed environment.

If you have any exposure to other text-based template languages, such
as Smarty or Django, you should feel right at home with Jinja2. It's
both designer and developer friendly by sticking to Python's
principles and adding functionality useful for templating
environments.


%if 0%{?with_docs}
%package doc
Summary:        Documentation for python3-jinja2

%description doc
Documentation for python3-jinja2.
%endif # with_docs


%prep
%setup -q -n jinja-%{version}
# fix EOL
sed -i 's|\r$||g' LICENSE


%build
%py3_build
%if 0%{?with_docs}
%make_build -C docs html PYTHONPATH=$(pwd)
%endif # with_docs


%install
%py3_install


%check
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version}


%files -n python%{python3_pkgversion}-jinja2
%license LICENSE
%doc AUTHORS CHANGES ext examples
%{python3_sitelib}/jinja2
%{python3_sitelib}/Jinja2-%{version}-py?.?.egg-info
%exclude %{python3_sitelib}/jinja2/_debugsupport.c

%if 0%{?with_docs}
%files doc
%license LICENSE
# docs are built with python2
%doc docs/_build/html
%endif # with_docs


%changelog
* Tue Nov 29 2016 Orion Poplawski <orion@cora.nwra.com> - 2.8-2
- Use github tarball and run tests
- Split documentation in sub-package

* Fri Sep 16 2016 Orion Poplawski <orion@cora.nwra.com> - 2.8-1
- Initial EPEL package
